package utils

import (
	"math/rand"
	"strings"
	"time"
)

// RandStr 获取指定 n 长度的随机字符串
func RandStr(n int) string {
	arr := strings.Split("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ", "")
	arrLen := len(arr)
	seed := time.Now().Unix()

	r := rand.New(rand.NewSource(seed))
	dst := make([]string, n)

	for i := range dst {
		p := r.Intn(arrLen)
		dst[i] = arr[p]
	}

	return strings.Join(dst, "")
}

// GetExpireTime 获取过期时间
func GetExpireTime(sec int) time.Time {
	return time.Now().Add(time.Duration(sec) * time.Second)
}
